import { http } from '@/services/api/http'
import { buildUrl, endpoints } from '@/services/api/endpoints'

export const apiGetPendingStudents = (params) => http.get(endpoints.getPendingStudents, { params })

export const apiShowPendingStudent = (id) =>
  http.get(buildUrl(endpoints.showPendingStudent, { id }))

export const apiChangePendingStudentStatus = (id, payload) =>
  http.post(buildUrl(endpoints.changeStatusPendingStudent, { id }), payload)

export const apiDownloadPendingStudentPdf = (id) =>
  http.get(buildUrl(endpoints.downloadPdfPendingStudentInfo, { id }))
